package com.m20.absolute.schematron.ast.xpath;

import java.util.ArrayList;

/**
 * The class helps to create functions and implements the methods to access the name and parameters 
 * of a function call and to add parameters to a function call. 
 * 
 * @author Adriana Alexandru
 */

public class FunctionCall extends PathExpr {
	private String name;
	private ArrayList<PathExpr> parameters = new ArrayList<PathExpr>();

	public void setName(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public void setParameters(ArrayList<PathExpr> parameters) {
		this.parameters = parameters;
	}

	public ArrayList<PathExpr> getParameters() {
		return parameters;
	}
	
	public void addParamsToFunct(String name, ArrayList<PathExpr> parameters){
		setName(name);
		setParameters(parameters);
	}



}
