package com.m20.absolute.schematron.ast.xpath;

/**
 * A literal, single quoted string.
 * The class implements the methods that access the value of the literal.
 * 
 * @author Adriana Alexandru
 */
public class Literal extends PathExpr {

	private String value;

	public Literal(String value) {
		this.value = value;
	}

	public Literal() {
	}

	public void setValue(String value) {
		this.value = value;
	}

	public String getValue() {
		return "'" + value + "'";
	}

}
