package com.m20.absolute.schematron.ast.xpath;

/**
 * An arithmetic expression is made of two arguments and an operator applied to them.
 * The class implements the methods to access the arguments and the operator. 
 * 
 * @author Adriana Alexandru
 */
public class ArithExpr extends PathExpr {
	private PathExpr left;

	public enum Operator {
		PLUS, MINUS, MOD, DIV, TIMES;
	}

	private PathExpr right;

	private Operator op;

	public void setLeft(PathExpr left) {
		this.left = left;
	}

	public PathExpr getLeft() {
		return left;
	}

	public void setOp(Operator op) {
		this.op = op;
	}

	public Operator getOp() {
		return op;
	}

	public void setRight(PathExpr right) {
		this.right = right;
	}

	public PathExpr getRight() {
		return right;
	}
}
