package com.m20.absolute.schematron.ast.xpath;

/**
 * Steps are used to construct paths. A step is a reference to a model
 * attribute. The class implements the methods that access the name of a step.
 * 
 * @author Adriana Alexandru
 */
public class Step {

	private String stepName;

	public Step(String stepName) {
		super();
		this.stepName = stepName;
	}

	public Step() {
	}

	public void setStepName(String stepName) {
		this.stepName = stepName;
	}

	public String getStepName() {
		return stepName;
	}
}
