package com.m20.absolute.schematron.ast.xpath;

/**
 * An if-then statement contains an if clause and a then clause.
 * The class implements the methods that access the if and then clauses.
 * 
 * @author Adriana Alexandru
 */
public class IfStatem extends PathExpr {

	private PathExpr ifPart;
	private PathExpr thenPart;

	public void setIfPart(PathExpr ifPart) {
		this.ifPart = ifPart;
	}

	public PathExpr getIfPart() {
		return ifPart;
	}

	public void setThenPart(PathExpr thenPart) {
		this.thenPart = thenPart;
	}

	public PathExpr getThenPart() {
		return thenPart;
	}

}
